class CreatePBankAccounts < ActiveRecord::Migration[6.0]
  def change
    create_table :p_bank_accounts do |t|
      t.integer :p_bank_id
      t.string :iban
      t.string :bic
      t.string :compta_cpt
      t.string :compta_journ
      t.string :compta_aux
      t.references :p_fournisseur, index: true, foreign_key: true
      t.references :p_customer, index: true, foreign_key: true
      t.boolean :owner, :default => false
      t.references :data_file, index: true, foreign_key: true

      t.timestamps null: false
    end
  end
end
